<?php

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/6
 * Time: 14:08
 */
namespace App\Transformers\Circle;

use App\Models\InterestCircle;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class InterestCircleTransformer extends TransformerAbstract
{
    public function transform(InterestCircle $interestCircle)
    {
        return [
            'id' => $interestCircle['id'],
            'name' => $interestCircle['name'],
            'image' => $interestCircle['image'],
            'created_at' => Carbon::parse($interestCircle['created_at'])->toDateTimeString(),
            'article_count' => $interestCircle['article_count'],
            'message_count' => $interestCircle['message_count'],
            'view_count' => $interestCircle['view_count'],
            'join_count' => $interestCircle['join_count'],
            'is_recommend' => $interestCircle['is_recommend'],
            'is_open' => $interestCircle['is_open'],
        ];
    }
}