<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddIndexToTableFeeds extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        for($i = 0; $i < 10; $i++){
            Schema::table('feed_'.$i, function (Blueprint $table) {
                $table->index(['uid', 'follow_uid', 'type', 'relate_id'],'idx_search');
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('table_feeds', function (Blueprint $table) {
            //
        });
    }
}
