<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInterestCircleMessageRecordsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interest_circle_message_records', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('uid')->default(0)->comment('用户ID');
            $table->integer('action')->default(0)->comment('动作 1顶 -1踩');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interest_circle_message_records');
    }
}
