<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddIdxMidCategoryIdToPostMusicCategoryRelTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('post_music_category_rel', function (Blueprint $table) {
            $table->index(['mid', 'music_category_id'], 'idx_mid_category_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('post_music_category_rel', function (Blueprint $table) {
            //
        });
    }
}
